Auto-generated infopages incorrectly links to the current page for Wikipedia
Open, NormalPublic

Description

When visiting an infopage of a test wiki that has not been manually created, the link to Wikipedia points to the current page, when instead it should point to the URL of the Wikipedia.

For instance:

To illustrate, for the case of the Bulgarian Wikinews, the logo for Wikipedia should bring me to bg.wikipedia.org, but instead it brings me back to the same page.

Hence, there seems to be an issue with the way the extension handles Wikipedias and with databases that ends with the suffix "wiki". This affects existing Wikipedias and also uses the incorrect logo.

Hydriz created this task.Oct 29 2015, 6:58 AM
Hydriz updated the task description. (Show Details)
Hydriz raised the priority of this task from to Normal.
Hydriz added a subscriber: Hydriz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 6:58 AM

Additionally: When the test wiki involved is a Wikipedia, and the Wikipedia already exists, the link to the Wikipedia does not show up explicitly on the infopage.

For instance:

I'd like to request that this item be pushed up to become the next item on the Incubator workboard to be pushed up. This is really interfering with navigation on Incubator, or alternatively requires root pages to be created when tests are empty. Either way, this really gets in the way. Thanks.

I will have a look at this and see what I can do.

Hydriz added a comment.Apr 7 2017, 3:40 PM

I added https://gerrit.wikimedia.org/r/#/c/347010/ to resolve this issue. I suspect that this bug occurs as the extension is unable to retrieve any of the Wikipedia-related settings due to changes in the wmf-config code. This simple change should be able to solve this issue.

I'm assuming this was not deployed yet (since its status is "blocked" and I see no changes on Incubator yet). Is that right?

That's correct. The patch has not been merged and deployed yet.

The patch was merged, keeping this task open until the patch is deployed.

Hydriz updated the task description. (Show Details)

This fix is not trivial. The original patch has been reverted in https://gerrit.wikimedia.org/r/#/c/476278/ until further testing can be done.

Mentioned in SAL (#wikimedia-operations) [2018-11-28T16:54:47Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.6/extensions/WikimediaIncubator/extension.json: [[gerrit:476304|Revert "Replace wiki with wikipedia as wmf-config has been updated"]] T117023 (duration: 00m 54s)